<template>
  <div class="rendered-image-container">
    <h1>Result</h1>
    <div class="camera-frame">
      <img id="finalFrame" :src="image" />
    </div>
    <br>
    <button class="button-retake" @click="reset">Retake</button>
    <button class="button-confirm" @click="saveImage(image)">Download Image</button>
  </div>
</template>
<script>
export default {
  name: 'Finale',
  props: {
    image_file: String,
  },
  data() {
    return {
      image: '',
    }
  },
  created() {
    this.image = this.image_file;
  },
  methods: {
    reset() {
      this.$router.push({name: 'Home'});
    },
    saveImage(base64) {
      var a = document.createElement('a');
      // toDataURL defaults to png, so we need to request a jpeg, then convert for file download.
      a.href = base64.replace("image/png", "image/octet-stream");
      a.download = 'my-saved-image.png';
      a.click();
    }
  }
};
</script>
<style scoped>

</style>